<?php

namespace App\Entities\Agendamento;

use App\Utils\Entity;

class Agendamento extends Entity {
	protected $id;
	protected $id_agenda;
	protected $id_cliente;
	protected $id_paciente;
	protected $id_procedimento;
	protected $id_requisicao;
	protected $codigo;
	protected $cancelado_em;
	protected $adicionado_por;
	protected $alterado_por;
	protected $alterado_em;
	protected $criado_em;
	protected $atrasado;

	public static function builder(): AgendamentoBuilder {

		return new AgendamentoBuilder();

	}

	public function getAtrasado(): int {

		return $this->atrasado;

	}

	public function getId(): int {

		return $this->id;

	}

	public function getIdAgenda(): int {

		return $this->id_agenda;

	}

	public function getIdCliente(): int {

		return $this->id_cliente;

	}

	public function getIdPaciente(): int {

		return $this->id_paciente;

	}

	public function getIdProcedimento(): int {

		return $this->id_procedimento;

	}

	public function getIdRequisicao(): int {

		return $this->id_requisicao;

	}

	public function getCodigo(): string {

		return $this->codigo;

	}

	public function getCanceladoEm(): ?string {

		return $this->cancelado_em;

	}

	public function getAdicionadoPor(): ?int {

		return $this->adicionado_por;

	}

	public function getAlteradoPor(): ?int {

		return $this->alterado_por;

	}

	public function getAlteradoEm(): ?string {

		return $this->alterado_em;

	}

	public function getCriadoEm(): ?string {

		return $this->criado_em;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setIdAgenda(int $id_agenda): void {

		$this->id_agenda = $id_agenda;

	}

	public function setIdCliente(int $id_cliente): void {

		$this->id_cliente = $id_cliente;

	}

	public function setIdPaciente(int $id_paciente): void {

		$this->id_paciente = $id_paciente;

	}

	public function setIdRequisicao(int $id_requisicao): void {

		$this->id_requisicao = $id_requisicao;

	}

	public function setIdProcedimento(int $id_procedimento): void {

		$this->id_procedimento = $id_procedimento;

	}

	public function setCodigo(string $codigo): void {

		$this->codigo = $codigo;

	}

	public function setCanceladoEm(?string $cancelado_em): void {

		$this->cancelado_em = $cancelado_em;

	}

	public function setAdicionadoPor(?int $adicionado_por): void {

		$this->adicionado_por = $adicionado_por;

	}

	public function setAlteradoPor(?int $alterado_por): void {

		$this->alterado_por = $alterado_por;

	}

	public function setAlteradoEm(?string $alterado_em): void {

		$this->alterado_em = $alterado_em;

	}

	public function setCriadoEm(?string $criado_em): void {

		$this->criado_em = $criado_em;

	}

	public function setAtrasado(int $atrasado): void {

		$this->atrasado = $atrasado;

	}

}